diff a/src/hotspot/share/runtime/continuationJavaClasses.hpp b/src/hotspot/share/runtime/continuationJavaClasses.hpp
--- a/src/hotspot/share/runtime/continuationJavaClasses.hpp
+++ b/src/hotspot/share/runtime/continuationJavaClasses.hpp
@@ -74,10 +74,12 @@
   macro(jdk_internal_vm_StackChunk, cont,            continuation_signature, false) \
   macro(jdk_internal_vm_StackChunk, flags,           byte_signature,         false) \
   macro(jdk_internal_vm_StackChunk, pc,              intptr_signature,       false) \
   macro(jdk_internal_vm_StackChunk, maxThawingSize,  int_signature,          false) \
   macro(jdk_internal_vm_StackChunk, lockStackSize,   byte_signature,         false) \
+  macro(jdk_internal_vm_StackChunk, atKlassInit,     bool_signature,         false) \
+  macro(jdk_internal_vm_StackChunk, hasArgsAtTop,    bool_signature,         false) \
 
 class jdk_internal_vm_StackChunk: AllStatic {
   friend class JavaClasses;
  private:
   static int _parent_offset;
@@ -86,10 +88,12 @@
   static int _pc_offset;
   static int _bottom_offset;
   static int _flags_offset;
   static int _maxThawingSize_offset;
   static int _lockStackSize_offset;
+  static int _atKlassInit_offset;
+  static int _hasArgsAtTop_offset;
   static int _cont_offset;
 
 
   static void compute_offsets();
  public:
@@ -127,10 +131,16 @@
   static inline void set_maxThawingSize(oop chunk, int value);
 
   static inline uint8_t lockStackSize(oop chunk);
   static inline void set_lockStackSize(oop chunk, uint8_t value);
 
+  static inline bool atKlassInit(oop chunk);
+  static inline void set_atKlassInit(oop chunk, bool value);
+
+  static inline bool hasArgsAtTop(oop chunk);
+  static inline void set_hasArgsAtTop(oop chunk, bool value);
+
   // cont oop's processing is essential for the chunk's GC protocol
   static inline oop cont(oop chunk);
   template<typename P>
   static inline oop cont_raw(oop chunk);
   static inline void set_cont(oop chunk, oop value);
